<?php
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 04-20-2011 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

//http://www.w3.org/International/O-HTTP-charset
DEFINE("DOCUMENT_CHARSET","utf-8");

//set the max size in bytes for image uploads
DEFINE("MAX_IMAGE_SIZE_ALLOWED","524288");

//english language file
DEFINE("SITE_URL","$site_url");
DEFINE("SITE_NAME","$site_name");
DEFINE("SITE_LANGUAGE","$site_lang");
DEFINE("DESCRIPTION","$description");
DEFINE("KEYWORDS","$keywords");
DEFINE("BACK_TO_LOGIN","Back to login page.");
DEFINE("BACK_TO_MEMBER_HOME","Back to members page.");
DEFINE("SITE_STREET","123 Some Street");
DEFINE("SITE_CITY","Your City");
DEFINE("SITE_STATE","State");
DEFINE("SITE_ZIP","Zip");
DEFINE("SITE_PHONE","+01 000-000-0000 x12345");

//define the header welcome message for different pages
DEFINE("HEADER_WELCOME_MESSAGE","Welcome to $site_name");
DEFINE("HEADER_LISTING_VIEW_MESSAGE","at $site_url");

//DEFINE the CURRENCY symbol used : uncomment yours, and comment the others
DEFINE("CURRENCY_SYMBOLS","$");
//DEFINE("CURRENCY_SYMBOLS","&euro;");
//DEFINE("CURRENCY_SYMBOLS","&pound;");
//DEFINE("CURRENCY_SYMBOLS","&yen;");

//define the number format for decimals and thousnads
DEFINE("CURRENCY_SYMBOLS_DECIMAL_SEPARATOR",".");
DEFINE("CURRENCY_SYMBOLS_THOUSANDS_SEPARATOR",",");

//Global form definitions
DEFINE("EMAIL","Your Email*:");
DEFINE("USERNAME","Username*:");
DEFINE("PASSWORD","Password*:");
DEFINE("FIRST_NAME","First Name*:");
DEFINE("LAST_NAME","Last Name*:");
DEFINE("NAME","Name*:");
DEFINE("COMPANY_NAME","Company:");
DEFINE("PHONE","Phone*:");
DEFINE("ALT_PHONE","Mobile:");
DEFINE("FAX","Fax:");
DEFINE("SUBJECT","Subject*:");
DEFINE("MESSAGE","Message*:");
DEFINE("RESET","Reset");
DEFINE("UPDATE","update");
DEFINE("SEARCH","Search");
DEFINE("SUBMIT","Submit");
DEFINE("LOGIN","Login");
DEFINE("COUNTRY","Country:");
DEFINE("ADDRESS","Address");
DEFINE("CITY","City/Town");
DEFINE("STATE","State/Province:");
DEFINE("ZIP","Postal/Zip Code:");
DEFINE("REQUIRED","* denotes a required field.");
DEFINE("FORM_CHOOSE_STATE","Choose Zone");


//global image alt and title text
DEFINE("MAIN_IMAGE","Main Image");
DEFINE("SELECTED_IMAGE","Selected Image");
DEFINE("IMAGE","Image");
DEFINE("NO_IMAGE","No Image");
DEFINE("VALID_XHTML","Valid XHTML 1.0 Strict");
DEFINE("VALID_CSS","Valid CSS!");

//user type names
DEFINE("USER_ADMIN","Admin");
DEFINE("USER_SELLER","Seller");
DEFINE("USER_USER","User");

//pagination text for admin and listings page
DEFINE("PAGINATE_ITEMS","Items");
DEFINE("PAGINATE_OF","of");
DEFINE("PAGINATE_DISPLAYED","displayed.");

//Header page and link text
DEFINE("HEADER_NAV_LINK_HOME","Home");
DEFINE("HEADER_NAV_LINK_REGISTER","Register");
DEFINE("HEADER_NAV_LINK_RESET_PASS","Reset Password");
DEFINE("HEADER_NAV_LINK_FORUM","Forums");
DEFINE("HEADER_NAV_LINK_LOGIN","Site Login");

//Sidebar page and link text
DEFINE("SIDEBAR_ACCOUNT_MENU","Account Menu");
DEFINE("SIDEBAR_SETTINGS","Settings");
DEFINE("SIDEBAR_LOCATION","Location:");
DEFINE("SIDEBAR_LINK_LOGIN","Site Login");
DEFINE("SIDEBAR_LINK_JOIN","Join Today!");
DEFINE("SIDEBAR_LINK_GOTO_ADMIN","Admin Center");
DEFINE("SIDEBAR_LINK_MEMBER_HOME","Member Home");
DEFINE("SIDEBAR_LINK_EDIT_ACCOUNT","Edit Account");
DEFINE("SIDEBAR_LINK_CHANGE_PASS","Change Password");
DEFINE("SIDEBAR_LINK_LOGOUT","Logout");
DEFINE("SIDEBAR_LINK_EDIT_OPTIONS","Edit Options");
DEFINE("SIDEBAR_LINK_SITE_SETTINGS","Site Settings");
DEFINE("SIDEBAR_LINK_ADD_USER","Add User");
DEFINE("SIDEBAR_LINK_EDIT_USERS","Edit Users");
DEFINE("SIDEBAR_LINK_CONTACT_US","Contact Us");
DEFINE("SIDEBAR_LINK_MAINTENANCE","Site Maintenance");

//Footer page text
DEFINE("COPYRIGHT","Copyright &copy;");
DEFINE("TOS","Terms of Service");
DEFINE("PRIVACY","Privacy Policy");
//if you wish to change the powered by link you are free to do so. If you would like to give a donation I would appreciate it?
//I have worked very hard on this software and you are benifiting by using it, a few dollars goes a long way.
//go to the open auto classifieds home page and click the donate image link.
DEFINE("POWERED_BY","Powered by <a href=\"http://openautoclassifieds/login/index.php\">PHP Login</a>");

//Email template text
DEFINE("RESET_PASSWORD_BODY","Your user name is %USERNAME%, and your password is %PASSWORD%. <br /><br />Please login at %URL%");
DEFINE("RESET_PASSWORD_SUBJECT","Forgotten username or password from %URL%");
DEFINE("ACCT_SIGNUP_BODY","Your new account user name is %USERNAME%, and your password has been automaticly generated for you. <br />Your new password is %PASSWORD%. <br /><br />Please login at %URL%");
DEFINE("ACCT_SIGNUP_SUBJECT","Welcome %USERNAME% your new account signup at %URL%");
DEFINE("ACCT_SIGNUP_BODY_VERIFY","Your new account user name is %USERNAME%, and your password has been automaticly generated for you. <br />Your new password is %PASSWORD%. <br /><br />Please verify your e-mail by clicking on this confirmation link %CONFIRMURL%. <br /><br />After that, please login at %URL%");
DEFINE("ACCT_SIGNUP_BODY_WPASS","Your new account user name is %USERNAME%, and your password has been automatically generated for you. <br />Your new password is %PASSWORD%. <br /><br />Please login at %URL%");
DEFINE("ACCT_SIGNUP_BODY_WPASS_VERIFY","Your new account user name is %USERNAME%. <br />Your new password is %PASSWORD%. <br /><br />Please verify your e-mail by clicking on this confirmation link %CONFIRMURL%  <br /><br />After that, please login at %URL%");
DEFINE("CONTACT_US_BODY","Name: %NAME% <br />Email: %FROM_EMAIL% <br />Company: %COMPANY% <br />Phone: %PHONE% <br /><br />Message: <br />%MSG% <br /><br />%MEMBER% <br />%NEWS%");
DEFINE("CONTACT_US_SUBJECT","Contact Form Request: %ADDITIONAL%");

DEFINE("XML_CHOOSE_ZONE","Choose Zone");
DEFINE("CHOOSE_COUNTRY","Choose Country");
?>
