<?php
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 12-31-2011 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

//Admin Functions
function updateEnv($env_data)
{
	$fieldstr = '';
	foreach ($env_data as $field => $value ) {
		if ("$value" !== SUBMIT) {
			$fieldstr .= "$field = '" . $value . "', ";
		}
	}
	$fields = substr($fieldstr, 0, -2);

	$sql = "UPDATE env_settings SET $fields";
	$res = sqlQuery($sql); if(sqlErrorReturn()) sqlDebug(__FILE__,__LINE__,sqlErrorReturn());

	if (!empty($res))
		return 99;
	return false;
}

function deleteUser($id)
{
	$user = getUsername($id);
	deleteUserImage($user);
	
	$sql = "DELETE FROM users WHERE id = " . $id . ""; 
	$res = sqlQuery($sql); if(sqlErrorReturn()) sqlDebug(__FILE__,__LINE__,sqlErrorReturn());

	if (!empty($res))
		return 99;
	return false;
}

function getUserDetails($id)
{
	if (!empty($id) && $id == "all") {
		//smarty paginate class used for users list in admin and also vehicle listings
		$paginate = new SmartyPaginate();
		//set the result query from listing number set
		$result_set_start = $paginate->getCurrentIndex();
		//set the result max query number
		$result_set_max = $paginate->getLimit();
		$page_limits = "LIMIT $result_set_start, $result_set_max";
	}

	if (!empty($id) && $id == "all") {
		$sql = "SELECT * FROM users ORDER BY id,approved DESC $page_limits";
		$count = "SELECT COUNT(*) FROM users";
		$count_res = sqlQuery($count); if(sqlErrorReturn()) sqlDebug(__FILE__,__LINE__,sqlErrorReturn());
		$row_count = sqlFetchRow($count_res);
	} else {
		$sql = "SELECT * FROM users WHERE id = " . $id . "";
	}

	$res = sqlQuery($sql); if(sqlErrorReturn()) sqlDebug(__FILE__,__LINE__,sqlErrorReturn());

	$c=0;
	while ($a_row = sqlFetchArray($res)) {
		 $records[$c]["id"] = $a_row["id"];
		 $records[$c]["ipaddress"] = ipConvert($a_row["ipaddress"]);
		 $records[$c]["user"] = $a_row["user"];
		 $records[$c]["email"] = $a_row["email"];
		 $records[$c]["company_name"] = $a_row["company_name"];
		 $records[$c]["first_name"] = $a_row["first_name"];
		 $records[$c]["last_name"] = $a_row["last_name"];
		 $records[$c]["phone"] = $a_row["phone"];
		 $records[$c]["alt_phone"] = $a_row["alt_phone"];
		 $records[$c]["fax"] = $a_row["fax"];
		 $records[$c]["country"] = $a_row["country"];
		 $records[$c]["address"] = $a_row["address"];
		 $records[$c]["city"] = $a_row["city"];
		 $records[$c]["state"] = $a_row["state"];
		 $records[$c]["zip"] = $a_row["zip"];
		 $records[$c]["reg_date"] = $a_row["reg_date"];
		 $records[$c]["last_active"] = $a_row["last_active"];
		 $records[$c]["user_level"] = $a_row["user_level"];
		 $records[$c]["notes"] = $a_row["notes"];
		 $records[$c]["image"] = $a_row["image"];
		 $records[$c]["activated"] = $a_row["activated"];
		 $records[$c]["approved"] = $a_row["approved"];
		 $records[$c]["admin_notes"] = $a_row["admin_notes"];
	++$c;
	}
	sqlFreeResult($res);

	if (!empty($id) && $id == "all") {
		//set total row count to count from query else defaults to 0
		$paginate->setTotal(!empty($row_count['0']) ? $row_count['0'] : 0);
		//$paginate->setTotal(count($records));
		if (!empty($records)) {
			//return array_slice($records, $paginate->getCurrentIndex(), $paginate->getLimit());
			return $records;
		}
	} elseif (isset($records)) {
		return $records; 
	}
}

function updateUserDetails($details)
{
	$fieldstr = '';
	foreach ($details as $field => $value ) {
		if ($value !== UPDATE) {
			if ($field !== 'id') {
				$fieldstr .= "$field = '" . $value . "', ";
			}
		}
		if ($field == 'id') {
			$id = $value;
		}
	}
	$fields = substr($fieldstr, 0, -2);

	$sql = "UPDATE users SET $fields WHERE id = " . $id . "";
	$res = sqlQuery($sql); if(sqlErrorReturn()) sqlDebug(__FILE__,__LINE__,sqlErrorReturn());

	if (!empty($res))
		return 99;
	return false;
}
?>