<?php
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 04-3-2008 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

require_once './Includes/configs/functions.php';
require_once './Includes/libs/Smarty.class.php';

if (file_exists("./Includes/language/$site_lang/global.php")) {
	include_once "./Includes/language/$site_lang/global.php";
} else {
	include_once "./Includes/language/en/global.php";
}
if (file_exists("./Includes/language/$site_lang/".basename(__FILE__)."")) {
	include_once "./Includes/language/$site_lang/".basename(__FILE__)."";
}

$smarty = new Smarty;
$smarty->force_compile = $force_compile_enabled;

$file = basename(__FILE__, ".php");
if (file_exists("templates/$template/$file.tpl")) {
	$smarty->template_dir="templates/$template";
} else {
	$smarty->template_dir="templates/Default";
}

//Check if single user mode 1 or multi-user mode 0
if ($site_mode == 0) {
	$smarty->assign("site_mode",1);
}
//The user is already logged in.
if (isset($_SESSION["logged_in"])){
	$smarty->assign("logged_in",1);
	//check privs to find out if user 
	//is a seller, admin or user
	$status = checkPrivs();
	$smarty->assign("$status",1);
}
//redirect user to a page that requires them to login for private data access
//else{
//	header("Location: login.php");
//}

$smarty->assign("template",1);
$smarty->display('template.tpl');
?>