<?php
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 04-23-2011 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

//Admin settings page text
DEFINE("ADMIN_SETTINGS_HEADING","Welcome to the Admin Center");
DEFINE("UPDATE_ENV","Change environment settings.");
DEFINE("ENV_EXPLAINED","This is where you can change your settings for the entire site. Once you have updated these you will see the changes throughout the site.");
DEFINE("UPDATE_ENV_LEGEND","Update site settings.");
DEFINE("UPDATE_ENV_MAINT_LEGEND","Change Site Maintenance Settings");
DEFINE("UPDATE_ENV_LOOK_LEGEND","Change Site Look and Feel");

//admin settings form and desc text
DEFINE("SITE_URL_UPDATE","Site URL:");
DEFINE("SITE_URL_UPDATE_SHORTDESC","Enter the full domain name here ie (http://yoursite.com).");
DEFINE("ADMIN_NAME_UPDATE","Admin Name:");
DEFINE("ADMIN_NAME_UPDATE_SHORTDESC","Enter the nice name for the admin here. This is the name your emails will be sent from");
DEFINE("ADMIN_EMAIL_UPDATE","Admin E-mail:");
DEFINE("ADMIN_EMAIL_UPDATE_SHORTDESC","Enter the Admin E-mail here. This is the E-mail your emails will be sent from");
DEFINE("SITE_MODE_UPDATE","Site Mode");
DEFINE("SITE_MODE_UPDATE_SHORTDESC","Set the site mode here, enter 0 for multi-user (self registration) Mode or 1 for single user mode (Admin registration mode).");
DEFINE("EMAIL_VERIFICATION","Email Verify:");
DEFINE("EMAIL_VERIFICATION_SHORTDESC","Send an email verification email when new users are created. This setting is disabled by default.");
DEFINE("SITE_USERS_PER_PAGE","Set the number of users to display in the admin panel.");
DEFINE("SITE_USERS_LIST","Users number:");
DEFINE("SITE_NAME_UPDATE","Site Name:");
DEFINE("SITE_NAME_UPDATE_SHORTDESC","Enter your site name in here, something like (ACME Widgets INC)");
DEFINE("DESCRIPTION_UPDATE","Description:");
DEFINE("DESCRIPTION_UPDATE_SHORTDESC","The site description that will go in your header for search engines.");
DEFINE("KEYWORDS_EDIT","Keywords:");
DEFINE("KEYWORDS_EDIT_SHORTDESC","Enter keywords that describe your site. Make sure you seperate them by commas.");
DEFINE("SITE_LANG_EDIT","Language:");
DEFINE("SITE_LANG_EDIT_SHORTDESC","Once you create the new language files and upload them to the correct directory you can select your new language (en, es). Please reference <a href=\"http://www.sil.org/iso639-3/codes.asp\">International language code tables</a>");
DEFINE("SITE_TEMPLATE_EDIT","Template:");
DEFINE("SITE_TEMPLATE_EDIT_SHORTDESC","Choose your default theme here. Select the theme you want then click update");
DEFINE("SITE_USERS_STORED_PATH","User path:");
DEFINE("SITE_USERS_STORE_PATH_DESC","Set the relative folder path of the users image storage. If you change the default you need to create a new folder and change its permissions.");
DEFINE("SITE_VISITOR_TRACKING_SHORTDESC","Turn this feature on to enable guest and user tracking for your site.");
DEFINE("SITE_VISITOR_TRACKING_EDIT","User Tracking:");
DEFINE("SITE_FORCE_COMPILE_SHORTDESC","Enable template compiling on every page load good for development.");
DEFINE("SITE_FORCE_COMPILE_EDIT","Force Compile:");
DEFINE("SITE_USE_USER_APPROVAL_SHORTDESC","Enable the user approval system if disabled all users are defaulted to approved.");
DEFINE("SITE_USE_USER_APPROVAL_EDIT","User approval:");
DEFINE("SITE_USE_FANCY_URLS_SHORTDESC","Enable SEF (Search Engine Friendly) urls on your site. You must have mod_rewite installed for use with Apache.");
DEFINE("SITE_USE_FANCY_URLS_EDIT","Fancy URLs:");

DEFINE("SITE_MAINT_MODE_SHORTDESC","Enable or disable Maintenance mode for doing upgrades or other things Disabled by default.");
DEFINE("SITE_MAINT_MODE_EDIT","Maint Mode:");
DEFINE("DEFAULT_USER_LEVEL_SHORTDESC","Set the default user level here 0 => default user 2 => Seller 9 => Admin Default is 0");
DEFINE("DEFAULT_USER_LEVEL_EDIT","Default Level:");
DEFINE("SITE_USE_USER_LOCATION_SHORTDESC","Use the location fields when Users sign up enabled by default.");
DEFINE("SITE_USE_USER_LOCATION_EDIT","Use Location:");

DEFINE("DELETE_OLD_USERS_SHORTDESC","Enable the removal of users who have not verified their accounts through the email verification system.<br />NOTE! you must enable the Email Verify feature for this to work.");
DEFINE("DELETE_OLD_USERS_EDIT","Inactive Removal:");
DEFINE("DELETE_OLD_USERS_AFTER_DAYS_SHORTDESC","If the remove inactive users setting is enabled set the number of days you wish to allow for email verification");
DEFINE("DELETE_OLD_USERS_AFTER_DAYS_EDIT","Days:");

DEFINE("ENABLED","Enabled");
DEFINE("DISABLED","Disabled");

//admin settings errors and success messages
DEFINE("ENV_UPDATE_SUCCESS","Your site details have been updated successfully.");

//v1.6.1
DEFINE("BACK_TO_TOP","Back to Top");
DEFINE("UPDATE_ENV_LINK","Site Settings");
DEFINE("UPDATE_ENV_MAINT_LINK","Maintenance");
DEFINE("UPDATE_ENV_LOOK_LINK","Look and Feel");

//v1.6.2
DEFINE("SITE_LANG_EDIT_TIMEZONE","Edit your site timezone here.");
DEFINE("SITE_TIMEZONE_EDIT","Edit Timezone:");

//v1.6.4
DEFINE("UPDATE_ENV_SMTP_LINK","E-Mail Setup ");
DEFINE("UPDATE_ENV_MAIL_LEGEND","Configure Site E-Mail Settings");
DEFINE("SITE_ENABLE_SMTP_SHORTDESC","Enable or Disable SMTP mode Disabled by default. Leave this if you do not have any issues with standard PHP mail() functions");
DEFINE("SITE_ENABLE_SMTP_EDIT","Use SMTP:");
DEFINE("SITE_ENABLE_CAPTCHA_SHORTDESC","Enable or Disable Email Captcha. Enabled by default.");
DEFINE("SITE_ENABLE_CAPTCHA_EDIT","Use Captcha:");
DEFINE("SMTP_HOST_SHORTDESC","Set the hosting to use for your SMTP server here.");
DEFINE("SMTP_HOST_UPDATE","SMTP Host:");
DEFINE("SMTP_PORT_SHORTDESC","Set the Port number to use for your SMTP server here. Default is 25");
DEFINE("SMTP_PORT_UPDATE","SMTP Port:");
DEFINE("SMTP_USER_SHORTDESC","Set the username for your SMTP server here.");
DEFINE("SMTP_USER_UPDATE","SMTP Username:");
DEFINE("SMTP_PASS_SHORTDESC","Set the password for your SMTP server here.");
DEFINE("SMTP_PASS_UPDATE","SMTP Password:");
?>