{include file="../`$smarty.const.TEMPLATE_DIR`/header.tpl"}

<div id="sidebar">
{include file="../`$smarty.const.TEMPLATE_DIR`/sidebar.tpl"}
</div>

<div class="mainContent">
{if isset($logged_in)}

  <h1>{$smarty.const.CHANGE_PASSWD}</h1>
	<p>{$smarty.const.UPDATE_PASSWORD}</p>

{if isset($success)}
	<p class="green"><strong>{$success}</strong></p>
{elseif isset($error_message)}
	<p class="red"><strong>{$error_message}</strong></p>
{/if}

<fieldset>
	<legend>{$smarty.const.CHANGE_EXISTING_LEGEND}</legend>
		<form method="post" action="reset.php">
			<p {if isset($pass_error)}class="error"{/if}><label for="old_pass">{$smarty.const.OLD_PASS}</label>
			<input id="old_pass" name="old_pass" type="password" size="30" value="" />
			</p>
			<div style="float:right;width:105px;margin-right:10px">
				<div id="new_pass_text" style="font-size: xx-small;"></div>
				<div id="new_pass_bar" style="font-size: xx-small; height: 2px; width: 0px; border: 1px solid white;"></div>
            </div>
			<p><label for="new_pass">{$smarty.const.NEW_PASS}</label>
			<input id="new_pass" name="new_pass" onKeyUp="runPassword(this.value, 'new_pass');" type="password" size="30" value="" />
			</p>
			<p {if isset($mail_error)}class="error"{/if}><label for="email">{$smarty.const.EMAIL}</label>
			<input id="email" name="email" type="text" size="35" maxlength="50" value="{$formemail|default}" />
			</p>
			<p><input type="submit" name="change" value="{$smarty.const.SUBMIT}" /></p>
		</form>
</fieldset>
{else}

  <h1>{$smarty.const.RESET_PASSWD_HEADER}</h1>
	<p>{$smarty.const.SENDME_PASSWORD}</p>
	
{if isset($success)}
	<p class="green"><strong>{$success}</strong></p>
{elseif isset($error_message)}
	<p class="red"><strong>{$error_message}</strong></p>
{/if}

<fieldset>
	<legend>{$smarty.const.RESET_EXISTING_LEGEND}</legend>
		<form method="post" action="reset.php">
			<p {if isset($mail_error)}class="error"{/if}><label for="email">{$smarty.const.EMAIL}</label>
			<input id="email" name="email" type="text" size="35" maxlength="50" value="" />
			</p>

			<p><input type="submit" name="submit" value="{$smarty.const.RESET}" /></p>
		</form>
</fieldset>

{/if}

</div>

{include file="../`$smarty.const.TEMPLATE_DIR`/footer.tpl"}
